if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, arguments);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, arguments);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}

(function() {

    //插件名称
    var PLUGIN_NAME = "CameraPlugin";
    //定义JS插件
    var CameraPlugin = {

        /**
         * 获取照片
         * type 0：拍照， 1：相册， 2：拍照和相册
         * size 照片大小（KB）
         * successCallback 成功回调
         * errorCallback 失败回调
         */
        takePhoto : function (type, size, successCallback, errorCallback) {
            var success = typeof successCallback !== 'function' ? null : function(data) {
                successCallback(data);
            };
            var fail = typeof errorCallback !== 'function' ? null : function(args) {
                errorCallback(args);
            };
            var callbackId = window.plus.bridge.callbackId(success, fail);
            var args = [callbackId, type, size];
            return window.plus.bridge.exec(PLUGIN_NAME, "takePhoto", args);
        },


    };
    //输出插件
    window.PluginUtil.register("muna", PLUGIN_NAME, CameraPlugin);

})();