if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, arguments);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, arguments);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}
(function() {

    //插件名称
    var PLUGIN_NAME = "GeolocationPlugin";
    //定义JS插件
    var GeolocationPlugin = {
        /**
         * 异步获取定位信息，返回Location对像。具体参见Location对像。
         *
         * useCache 是否接受缓存
         * useGps 是否采用GPS
         * needAddress 是否需要返回地址信息
         */
        getLocationOnce : function (useCache, useGps, needAddress, successCallback, errorCallback) {
            var success = typeof successCallback !== 'function' ? null : function(location) {
                successCallback(location);
            };
            var fail = typeof errorCallback !== 'function' ? null : function(args) {
                errorCallback(args);
            };
            var callbackId = window.plus.bridge.callbackId(success, fail);
            var args = [callbackId, useCache, useGps, needAddress];
            return window.plus.bridge.exec(PLUGIN_NAME, "getLocationOnce", args);
        }
    };

    //输出插件
    window.PluginUtil.register("muna", PLUGIN_NAME, GeolocationPlugin);

})();