if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, arguments);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, arguments);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}
(function() {
    //插件名称
    var PLUGIN_NAME = "UiKitPlugin";
    //定义JS插件
    var UiKitPlugin = {

        /**
         * 关闭整个网页所在界面
         */
        webClose : function() {
            return window.plus.bridge.exec(PLUGIN_NAME, "webClose");
        },


        /**
         * 退出整个sdk
         */
        sdkExit : function() {
            return window.plus.bridge.exec(PLUGIN_NAME, "sdkExit");
        },

    };
    //输出插件
    window.PluginUtil.register("muna", PLUGIN_NAME, UiKitPlugin);

})();